# One staged file, so a person can look at it before deciding `GET /agent/review/{id}` **Required scope:** `documents:read` Returns 404 for a file in another organisation. Fetch the bytes with GET /api/documents/{id}/view. ## Parameters | Name | In | Required | Description | |---|---|---|---| | `id` | path | yes | id of the target record | ## Responses | Status | Meaning | |---|---| | `200` | Success | | `400` | BadRequest | | `401` | Unauthorized | | `403` | Forbidden | | `429` | RateLimited | ## Example ```bash curl -X GET "https://backend.immut.io/api/v1/agent/review/" \ -H "Authorization: Bearer $IMMUT_API_KEY" ``` ## OpenAPI fragment ```json { "/agent/review/{id}": { "get": { "operationId": "getagentreviewid", "summary": "One staged file, so a person can look at it before deciding. Returns 404 for a file in another organisation. Fetch the bytes with GET /api/documents/{id}/view.", "description": "One staged file, so a person can look at it before deciding. Returns 404 for a file in another organisation. Fetch the bytes with GET /api/documents/{id}/view.", "parameters": [ { "name": "id", "in": "path", "required": true, "schema": { "type": "string" }, "description": "id of the target record" } ], "responses": { "200": { "description": "Success" }, "400": { "$ref": "#/components/responses/BadRequest" }, "401": { "$ref": "#/components/responses/Unauthorized" }, "403": { "$ref": "#/components/responses/Forbidden" }, "429": { "$ref": "#/components/responses/RateLimited" } }, "tags": [ "Agent" ], "x-required-scope": "documents:read" } } } ```